one-entities-patch-one

Source

  • Repository: jef-systems/jef-one-backend

  • Source Run ID: 25256541517

  • Source SHA: 944e655286e0c87c6e611453ffc46df43159a83d

  • Module: one

  • Documentation Scope: async

  • Lambda: jef-one-patch-5

Endpoint

  • API Name: jef-one

  • Action Name: patch

  • Method: PATCH

  • Scope Label: Async

  • Resource Path: /one-entities-patch-one

  • Complete Endpoint: https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entities-patch-one

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-one-patch-5

  • curl payload mode: json_body

API Gateway Description

Function: jef-one-patch-5
Module: jef-one
Action: patch
Method: PATCH
Invocation Mode: ASYNC
Resource Path: /one-entities-patch-one

API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.

Table:
- table: jef-one-entities

Payload Example:
- pk: 1001
- entity_number: 1001
- name: JEF Caferimo
- business_name: JEF Caferimo Food and Beverage Services
- tin: 123-456-789-000
- address: Poblacion, Bago City, Negros Occidental
- is_active: True
- created_at: 2026-04-29T00:00:00Z
- updated_at: 2026-04-29T00:00:00Z

Payload Schema:
- pk: string-{entity_number}
- entity_number: string
- name: string
- business_name: string
- tin: string
- address: string
- is_active: boolean
- created_at: string
- updated_at: string

Response Schema:
- is_accepted: boolean
- message: string

Request Payload

{
  "pk": "1001",
  "entity_number": "1001",
  "name": "JEF Caferimo",
  "business_name": "JEF Caferimo Food and Beverage Services",
  "tin": "123-456-789-000",
  "address": "Poblacion, Bago City, Negros Occidental",
  "is_active": "True",
  "created_at": "2026-04-29T00:00:00Z",
  "updated_at": "2026-04-29T00:00:00Z"
}

Response

{
  "is_accepted": "boolean",
  "message": "string"
}

CMD curl

curl -X PATCH "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entities-patch-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"1001\", \"entity_number\": \"1001\", \"name\": \"JEF Caferimo\", \"business_name\": \"JEF Caferimo Food and Beverage Services\", \"tin\": \"123-456-789-000\", \"address\": \"Poblacion, Bago City, Negros Occidental\", \"is_active\": true, \"created_at\": \"2026-04-29T00:00:00Z\", \"updated_at\": \"2026-04-29T00:00:00Z\"}"

PowerShell curl

curl.exe -X PATCH "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entities-patch-one" -H "Content-Type: application/json" --data-raw '{"pk": "1001", "entity_number": "1001", "name": "JEF Caferimo", "business_name": "JEF Caferimo Food and Beverage Services", "tin": "123-456-789-000", "address": "Poblacion, Bago City, Negros Occidental", "is_active": true, "created_at": "2026-04-29T00:00:00Z", "updated_at": "2026-04-29T00:00:00Z"}'